www-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Olivier Lamy <ol...@apache.org>
Subject Re: java 1.5 build and "Bad version number in .class file" error
Date Thu, 16 Feb 2012 15:16:45 GMT
Just reverted to 6.0.35
Looks to be better: https://builds.apache.org/job/Torque4-trunk/68/console

@Torque folks I have changed your cron scm pooling which was * * * * *
(every minutes) to @hourly
Please avoid using such value !

2012/2/16 Olivier Lamy <olamy@apache.org>:
> The issue is running Jenkins on Tomcat7 with maven build using jdk1.5 .
> Jenkins jobs (with jdk1.5) try to load some classes (in our cases
> javax.servlet.* ) from master node.
> And in this case they come from tomcat classLoader and are "marked"
> 1.6 result -> "Caused by: java.lang.UnsupportedClassVersionError: Bad
> version number in .class file"
>
> I don't have any quick fix now or workaround. Expect revert Jenkins
> master running on tc 6.x
>
> 2012/2/16 Niklas Gustavsson <niklas@protocol7.com>:
>> On Thu, Feb 16, 2012 at 9:50 AM, Olivier Lamy <olamy@apache.org> wrote:
>>> It's on my TODO list to debug/fix this jenkins issue.
>>> I will try to work on that today.
>>
>> I tried to downgrade the Cobertura publisher mentioned in the
>> stacktrace to no improvement.
>>
>> /niklas
>
>
>
> --
> Olivier Lamy
> Talend: http://coders.talend.com
> http://twitter.com/olamy | http://linkedin.com/in/olamy



-- 
Olivier Lamy
Talend: http://coders.talend.com
http://twitter.com/olamy | http://linkedin.com/in/olamy

Mime
View raw message